/**
 * Copyright IBM Corp. 2020, 2026
 *
 * This source code is licensed under the Apache-2.0 license found in the
 * LICENSE file in the root directory of this source tree.
 */

import { getDevtoolsProps } from "../../global/js/utils/devtools.js";
import { prepareProps } from "../../global/js/utils/props-helper.js";
import { Card } from "../Card/Card.js";
import React, { forwardRef } from "react";
import PropTypes from "prop-types";

//#region src/components/ExpressiveCard/ExpressiveCard.tsx
const componentName = "ExpressiveCard";
const ExpressiveCard = forwardRef((props, ref) => {
	const validProps = prepareProps(props, [
		"actionIconsPosition",
		"overflowActions",
		"productive",
		"titleSize"
	]);
	return /* @__PURE__ */ React.createElement(Card, {
		ref,
		...validProps,
		...getDevtoolsProps(componentName)
	});
});
ExpressiveCard.propTypes = {
	actionIcons: PropTypes.arrayOf(PropTypes.shape({
		id: PropTypes.string,
		icon: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
		onKeyDown: PropTypes.func,
		onClick: PropTypes.func,
		iconDescription: PropTypes.string,
		href: PropTypes.string,
		link: PropTypes.shape({ href: PropTypes.string.isRequired })
	})),
	children: PropTypes.node,
	className: PropTypes.string,
	decorator: PropTypes.oneOfType([PropTypes.node, PropTypes.bool]),
	description: PropTypes.oneOfType([
		PropTypes.string,
		PropTypes.object,
		PropTypes.node
	]),
	label: PropTypes.oneOfType([
		PropTypes.string,
		PropTypes.object,
		PropTypes.node
	]),
	media: PropTypes.node,
	mediaPosition: PropTypes.oneOf(["top", "left"]),
	onClick: PropTypes.func,
	onPrimaryButtonClick: PropTypes.func,
	onSecondaryButtonClick: PropTypes.func,
	pictogram: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
	primaryButtonHref: PropTypes.string,
	primaryButtonIcon: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
	primaryButtonKind: PropTypes.oneOf(["primary", "ghost"]),
	primaryButtonText: PropTypes.string,
	secondaryButtonHref: PropTypes.string,
	secondaryButtonIcon: PropTypes.oneOfType([PropTypes.func, PropTypes.object]),
	secondaryButtonKind: PropTypes.oneOf(["secondary", "ghost"]),
	secondaryButtonText: PropTypes.string,
	slug: PropTypes.oneOfType([PropTypes.node, PropTypes.bool]),
	title: PropTypes.oneOfType([
		PropTypes.string,
		PropTypes.object,
		PropTypes.node
	])
};
ExpressiveCard.displayName = componentName;

//#endregion
export { ExpressiveCard };